[vbox-dev] VirtualBox-5.0.16 fails to compile - linux 64-bit

John Frankish john.frankish at outlook.com
Sat Apr 22 07:03:39 UTC 2017


> I tried this:
> 
> $ sudo ln -s /usr/local/include/glib-2.0/* /usr/local/include
> $ sudo ln -s /usr/local/lib/glib-2.0/include/* /usr/local/include
> $ sudo ln -s /usr/local/include/libIDL-2.0/libIDL /use/local/include
> 
> $ kmk KBUILD_VERBOSE=2 -j1
> 
> ..but the build fails with a bunch of undefined references to various libIDL functions.
> 
What the vbox source is looking for is libIDL-config from libIDL, rather than libIDL-config-2 from libIDL2.

This means in turn that vbox is looking for libglib, rather than libglib-2.0.

It looks like the best way to deal with this is to hack the source to look for libIDL-config-2 and thus link to libIDL2 and libglib-2.0, since other parts of the vbox source will link to libglib-2.0 anyway.

Note that the same issue exists in VirtualBox-5.1.20a - maybe in 2017 it's time to update from libs released circa 2001?






More information about the vbox-dev mailing list